Page MenuHomePhabricator

Inappropriate Herald rule
Closed, ResolvedPublic

Description

I'm not happy with H239. The user (who is blocked on three projects) is getting subscribed to almost every Wikidata task and every task created by various people (including me), I feel stalked. I don't see any contribution factor in this Herald rule, I think it should be disabled. The user is already doing dubious stuff on Phabricator, including adjusting priority despite being asked multiple times not to do that.

Event Timeline

Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald TranscriptJul 29 2017, 2:39 PM
Base added a subscriber: Base.Jul 29 2017, 2:46 PM
Reedy renamed this task from Unappropriate Herald rule to Inappropriate Herald rule.Jul 29 2017, 5:30 PM
Base added a comment.Jul 30 2017, 2:03 PM

I do not think blocks in other wikiprojcts are relevant for Phabricator.

greg added a subscriber: greg.Aug 2 2017, 11:10 PM

I do not think blocks in other wikiprojcts are relevant for Phabricator.

They certainly can be informational or even be used explicitly. See also: T162996 and T168692

In the description, @Sjoerddebruin wrote:

The user is already doing dubious stuff on Phabricator, including adjusting priority despite being asked multiple times not to do that.

That should be discussed separately than this specific herald rule (or, this herald rule should be a sub-point of that larger "this user is effectively vandalizing (even in good faith) our work tracking").

Mbch331 added a subscriber: Mbch331.Aug 8 2017, 8:31 PM
Mahir256 edited subscribers, added: Mahir256; removed: PokestarFan.Aug 8 2017, 11:30 PM

(subscriber removed in the spirit of @Sjoerddebruin's request)

The nice thing about the rule is that it brings random tickets back to the top of the pile .. The only problem is that on some days there are hundreds.

The user could probably have done the same by subscribing to the Wikidata project.

The user could probably have done the same by subscribing to the Wikidata project.

No, as the user sets "Mark with Green flag."

Esc3300 closed this task as Resolved.Aug 14 2017, 7:38 PM
Qgil moved this task from Backlog to Team radar on the Developer-Advocacy board.Aug 17 2017, 2:28 PM